Subject: Re: bug#31920: 26.1; frame appears in wrong part of desktop after restoring frameset from fullscreen

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Jun 2018 18:54:06 +0300

> Date: Thu, 21 Jun 2018 09:16:24 +0200
> From: martin rudalics <[email-masked]>
> 
>  > 1. save a frameset with an unmaximized frame
>  > start from emacs -Q
>  > create a second window with `C-x 2'
>  > use the mouse to move the frame to the right side of the desktop
>  > save the split window frame with `C-x r f a'
>  >
>  > 2. save a frameset with a maximized/fullscreen frame
>  > delete one of the windows with `C-x 1'
>  > press `f11' to make the frame fullscreen
>  > save the fullscreen frame with `C-x r f b'
>  >
>  > 3. restore the unmaximized frameset with `C-x r j a'
>  > After jumping between framesets from register b to register a, the
>  > non-fullscreen frame appears on the opposite (left) side of the desktop
>  > than it was originally. Typing `C-x r j a' a second time moves the frame
>  > to its original location.
>  >
>  > I've reproduced this using Emacs 26.1 in both Windows 10 and Fedora 28
>  > KDE desktop environments.
>  >
>  > In GNU Emacs 26.1 (build 1, x86_64-redhat-linux-gnu, GTK+ Version 3.22.30)
>  >   of 2018-06-04 built on buildvm-10.phx2.fedoraproject.org
> 
> Thanks for the report.  Here I can't reproduce the behavior you
> observe on Windows XP even if I modify your recipe in various ways.
> Maybe someone else can give it a try.

I can reproduce here if I do "C-x r j a" then "C-x r j b", then "C-x r
j a" again.  The second time the frame split into two windows appears
at the left side of the desktop.